Bug 50644 - Postgreqsl not compiled with SSL and Kerberos support
Postgreqsl not compiled with SSL and Kerberos support
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 17:08 EDT by Derek Atkins
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 11:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2001-08-01 17:08:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.74 [en] (X11; U; Linux 2.2.14-5.0 i686)

Description of problem:
Red Hat Linux ships with both Kerberos v5 and OpenSSL but PostgreSQL is not
compiled with either Kerberos or SSL support.  This implies that users
cannot secure their Postgres connections using the prebuilt packages.

How reproducible:
Always

Steps to Reproduce:
1. read the fine manual
2.
3.
	

Actual Results:  connections are insecure, and configuring for ssl/kerberos
does not work

Expected Results:  Since RHL ships with krb5 and openssl, it should be
expected that other packages that already have support for krb5 and openssl
would be compiled with that support.  Postgres does have krb5 and openssl
support, but is not compiled with it.

Additional info:

Check out:
http://postgresql.bteg.net/devel-corner/docs/postgres/ssl-tcp.html

Also:
./configure --with-krb5=/usr --with-openssl=/usr
Comment 1 Trond Eivind Glomsrxd 2001-08-02 16:38:17 EDT
Newer releases of PostgreSQL, like postgresql-7.1.2-6, are compiled with ssl
support.
Comment 2 Derek Atkins 2001-08-03 10:57:25 EDT
Yes, the rawhide version (7.1.2-6) is compiled with SSL support, but
unfortunately it is STILL not compiled with Kerberos v5 support.  Could you
please also ./configure --with-krb5?

Thanks
Comment 3 Trond Eivind Glomsrxd 2001-08-06 18:22:06 EDT
Added in postgresql-7.1.2-7

Note You need to log in before you can comment on or make changes to this bug.